> ## Documentation Index
> Fetch the complete documentation index at: https://stytch.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Verdict Reasons

> Get the list of verdict reasons returned by the Stytch Device Fingerprinting product along with their default actions and any overrides you may have defined. This is not an exhaustive list of verdict reasons, but it contains all verdict reasons that you may set an override on.

For a full list of possible verdict reasons, see [Warning Flags (Verdict Reasons)](https://stytch.com/docs/docs/fraud/guides/device-fingerprinting/reference/warning-flags-verdict-reasons).



## OpenAPI

````yaml POST /v1/verdict_reasons/list
openapi: 3.0.3
info:
  title: Stytch API
  description: The Stytch API provides endpoints for authentication and user management.
  version: 2.1.1
  contact:
    name: Stytch Support
    url: https://stytch.com/docs
    email: support@stytch.com
servers:
  - url: https://api.stytch.com
    description: Production server
  - url: https://test.stytch.com
    description: Test server
security:
  - basicAuth: []
paths:
  /v1/verdict_reasons/list:
    servers:
      - url: https://telemetry.stytch.com
    post:
      tags:
        - Fraud
      summary: List
      description: >-
        Get the list of verdict reasons returned by the Stytch Device
        Fingerprinting product along with their default actions and any
        overrides you may have defined. This is not an exhaustive list of
        verdict reasons, but it contains all verdict reasons that you may set an
        override on.


        For a full list of possible verdict reasons, see [Warning Flags (Verdict
        Reasons)](https://stytch.com/docs/docs/fraud/guides/device-fingerprinting/reference/warning-flags-verdict-reasons).
      operationId: api_fraud_v1_fraud_verdict_reasons_List
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/api_fraud_v1_fraud_verdict_reasons_ListRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/api_fraud_v1_fraud_verdict_reasons_ListResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
          content:
            application/json:
              example:
                status_code: 401
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: unauthorized_credentials
                error_message: Unauthorized credentials.
                error_url: https://stytch.com/docs/api/errors/401
        '429':
          description: Too Many Requests
          content:
            application/json:
              example:
                status_code: 429
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: too_many_requests
                error_message: Too many requests have been made.
                error_url: https://stytch.com/docs/api/errors/429
        '500':
          description: Internal server error
          content:
            application/json:
              example:
                status_code: 500
                request_id: request-id-test-b05c992f-ebdc-489d-a754-c7e70ba13141
                error_type: internal_server_error
                error_message: >-
                  Oops, something seems to have gone wrong, please reach out to
                  support@stytch.com to let us know what went wrong.
                error_url: https://stytch.com/docs/api/errors/500
      x-code-samples:
        - lang: csharp
          label: C#
          source: |-
            // POST /v1/verdict_reasons/list
            const stytch = require('stytch');

            const client = new stytch.B2BClient({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
            };

            client.Fraud.VerdictReasons.List(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: go
          label: Go
          source: "// POST /v1/verdict_reasons/list\npackage main\n\nimport (\n\t\"context\"\n\t\"log\"\n\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/fraud/verdictreasons\"\n\t\"github.com/stytchauth/stytch-go/v18/stytch/consumer/stytchapi\"\n)\n\nfunc main() {\n\tclient, err := stytchapi.NewClient(\n\t\t\"${projectId}\",\n\t\t\"${secret}\",\n\t)\n\tif err != nil {\n\t\tlog.Fatalf(\"error instantiating client: %v\", err)\n\t}\n\n\tparams := &verdictreasons.ListParams{}\n\n\tresp, err := client.Fraud.VerdictReasons.List(context.Background(), params)\n\tif err != nil {\n\t\tlog.Fatalf(\"error in method call: %v\", err)\n\t}\n\n\tlog.Println(resp)\n}\n"
        - lang: java
          label: Java
          source: >-
            // POST /v1/verdict_reasons/list

            package com.example;


            import com.stytch.java.common.StytchResult;

            import
            com.stytch.java.consumer.models.fraudverdictreasons.ListRequest;

            import com.stytch.java.consumer.StytchClient;


            public class Main {
                public static void main(String[] args) {
                    StytchClient.configure("${projectId}", "${secret}");

                    ListRequest params = new ListRequest();

                    Object result = StytchClient.getFraud().getVerdictReasons().list(params);
                    if (result instanceof StytchResult.Success) {
                      System.out.println(((StytchResult.Success) result).getValue());
                    } else {
                      System.out.println(((StytchResult.Error) result).getException());
                    }
                }
            }
        - lang: kotlin
          label: Kotlin
          source: >
            // POST /v1/verdict_reasons/list

            package com.example


            import com.stytch.java.consumer.StytchClient

            import
            com.stytch.java.consumer.models.fraudverdictreasons.ListRequest


            fun main() {
                StytchClient.configure(
                    projectId = "${projectId}",
                    secret = "${secret}",
                )

                when (
                    val result =
                        StytchClient.fraud.verdictReasons.list(
                            ListRequest(),
                        )
                ) {
                    is StytchResult.Success -> println(result.value)
                    is StytchResult.Error -> println(result.exception)
                }
            }
        - lang: javascript
          label: Node.js
          source: |-
            // POST /v1/verdict_reasons/list
            const stytch = require('stytch');

            const client = new stytch.Client({
              project_id: '${projectId}',
              secret: '${secret}',
            });

            const params = {
            };

            client.fraud.verdictReasons.list(params)
              .then(resp => { console.log(resp) })
              .catch(err => { console.log(err) });
        - lang: php
          label: PHP
          source: |-
            $response = $client->fraud->verdict_reasons->list([
            ]);
        - lang: python
          label: Python
          source: |
            # POST /v1/verdict_reasons/list
            from stytch import Client

            client = Client(
                project_id="${projectId}",
                secret="${secret}",
            )

            resp = client.fraud.verdict_reasons.list()

            print(resp)
        - lang: ruby
          label: Ruby
          source: |-
            # frozen_string_literal: true

            # POST /v1/verdict_reasons/list
            require 'stytch'

            client = Stytch::Client.new(
              project_id: "${projectId}",
              secret: "${secret}"
            )

            resp = client.fraud.verdict_reasons.list(
              
            )

            puts resp
        - lang: rust
          label: Rust
          source: |-
            // POST /v1/verdict_reasons/list
            use stytch::consumer::client::Client;
            use stytch::consumer::fraud_verdict_reasons::ListRequest;

            fn main() {
                let client = Client::new("${projectId}", "${secret}").unwrap();
                let resp = client.fraud.verdict_reasons.list(
                    ListRequest{
                        ..Default::default()
                    }
                ).await;
                println!("The response is {:?}", resp);
            }
        - lang: bash
          label: cURL
          source: |-
            # POST /v1/verdict_reasons/list
            curl --request POST \
              --url https://telemetry.stytch.com/v1/verdict_reasons/list \
              -u '${projectId}:${secret}' \
              -H 'Content-Type: application/json' \
              -d '{
              }'
components:
  schemas:
    api_fraud_v1_fraud_verdict_reasons_ListRequest:
      type: object
      properties:
        overrides_only:
          type: boolean
          description: >-
            Whether to return only verdict reasons that have overrides set.
            Defaults to false.
      description: Request type
    api_fraud_v1_fraud_verdict_reasons_ListResponse:
      type: object
      properties:
        request_id:
          type: string
          description: >-
            Globally unique UUID that is returned with every API call. This
            value is important to log for debugging purposes; we may ask for
            this value to help identify a specific API call when helping you
            debug an issue.
        verdict_reason_actions:
          type: array
          items:
            $ref: '#/components/schemas/api_fraud_v1_VerdictReasonAction'
          description: >-
            Information about verdict reasons and any overrides that were set on
            them.
        status_code:
          type: integer
          format: int32
          description: >-
            The HTTP status code of the response. Stytch follows standard HTTP
            response status code patterns, e.g. 2XX values equate to success,
            3XX values are redirects, 4XX are client errors, and 5XX are server
            errors.
      required:
        - request_id
        - verdict_reason_actions
        - status_code
    api_fraud_v1_VerdictReasonAction:
      type: object
      properties:
        verdict_reason:
          type: string
          description: The verdict reason.
        default_action:
          $ref: '#/components/schemas/api_fraud_v1_fraud_VerdictReasonActionAction'
          description: >-
            The default action returned for the specified verdict reason in a
            fingerprint lookup when no overrides are specified.
        override_action:
          $ref: '#/components/schemas/api_fraud_v1_fraud_VerdictReasonActionAction'
          description: >-
            If not null, this action will be returned for the specified verdict
            reason in a fingerprint lookup, in place of the default action.
        override_created_at:
          type: string
          description: >-
            The time when the override was created, if one exists. Values
            conform to the RFC 3339 standard and are expressed in UTC, e.g.
            `2021-12-29T12:33:09Z`.
        override_description:
          type: string
          description: A description of the override, if one exists.
      required:
        - verdict_reason
        - default_action
    api_fraud_v1_fraud_VerdictReasonActionAction:
      type: string
      enum:
        - ALLOW
        - CHALLENGE
        - BLOCK
  securitySchemes:
    basicAuth:
      type: http
      scheme: basic

````